package it.polimi.ingsw.gc14.Model.Cards.TribeCards.Characters;

import it.polimi.ingsw.gc14.Model.Cards.TribeCards.Character;
import it.polimi.ingsw.gc14.Model.Cards.TribeCards.CharacterType;
import it.polimi.ingsw.gc14.Model.Player;

public class Hunter extends Character  {
    private boolean icon;

    /**
     *
     * @return Hunter specific icon
     */
    public boolean getIcon() {
        return icon;
    }

    /**
     *
     * @param Era hunter era
     * @param icon hunter icon
     */
    public Hunter(int Era, boolean icon) {
        super(Era, CharacterType.HUNTER);
        this.icon = icon;
    }
    public Hunter(int Era, boolean icon, int nMin) {
        super(Era, CharacterType.HUNTER,nMin);
        this.icon = icon;
    }

    @Override
    public String toString() {
        return super.toString() + "Icon: " + String.valueOf(icon);
    }

    @Override
    public Character clone() {
        return new Hunter(getEra(), getIcon(), getNMin());
    }
    @Override
    public void insert(Player player) {
        player.hunters.add(this);
    }

}
